Foreman - Feature #1946

Addition VMWare options required for VM creation
11/15/2012 05:05 AM - Brian Gupta

Status: Resolved
Priority: Normal
Assignee:

Category: VM management
Target version: 1.5.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Please add the options to select resource pool, guest operating system profile, more granular memory allocation (perhaps a slider +
text field), and virtual scsi controller type.

Related issues:

Related to Foreman - Feature #1945: Better VMWare support for non-clusters setup Closed

Related to Foreman - Feature #2355: Need ability to set VMware provisioning f... Resolved 03/26/2013
Related to Foreman - Feature #3496: SCSI Controller type selection for vSphere Closed 10/25/2013
Related to Foreman - Feature #3910: for VMware compute resource (fog) give th... Closed 12/18/2013
Related to Foreman - Feature #4380: [vSphere] allow selection of guest OS Closed 02/18/2014
Related to Foreman - Feature #4533: Boot options configuration for VMware guests New 03/03/2014
Related to Foreman - Feature #5760: Specify VM hardware version for new virtu... Closed 05/16/2014
Related to Foreman - Feature #8295: Vcenter - Memory/CPU Hotplug Closed 11/06/2014
Related to Foreman - Feature #10889: [vSphere] Allow selection of resource pool Closed 06/20/2015
Related to Foreman - Feature #10955: Support to set vmware configuration para... New 06/30/2015
Related to Foreman - Feature #10956: Support to set vmware VM annotations Closed 06/30/2015
Related to Foreman - Feature #4509: Additional SCSI Controller with per-disk ... Closed 02/28/2014
Related to Foreman - Bug #9038: IDE Devices in vSphere New 01/19/2015
History

#1 - 11/30/2012 09:40 AM - Brian Gupta

- Target version setto 1.1
#2 - 12/13/2012 01:38 PM - Drew Blessing
| think this request covers this but just want to note it to make sure it's considered.
If we are only supposed to add the actual VCenter server as a compute resource for provisioning, then the Virtual Machine options when setting up a
new host really need to include a drop down for the specific host to install on. Not all VMware licenses have the VMotion and Storage VMotion or
whatever it's called. So, not everyone can use the auto-migration of new hosts feature that | believe you must rely on in the current support.
If you can't provide a drop down to choose a host then it would also be acceptable to allow users to add a separate compute resource for each ESXi
host individually. Then, the "Deploy on" option in the new host would be where you choose the specific host. Currently when you do this you can
successfully add the computer resource but there is an error on the Virtual Machine tab in the new host screen.
| hope this makes sense. If not, let me know and I'll try to explain better. Thanks for your consideration.
#3 - 01/02/2013 07:19 AM - Ohad Levy
Drew Blessing wrote:

| think this request covers this but just want to note it to make sure it's considered.

If we are only supposed to add the actual VCenter server as a compute resource for provisioning, then the Virtual Machine options when setting

up a new host really need to include a drop down for the specific host to install on. Not all VMware licenses have the VMotion and Storage
VMotion or whatever it's called. So, not everyone can use the auto-migration of new hosts feature that | believe you must rely on in the current
support.

sure see #1945 - there is a simple workaround that would allow you to get that.
If you can't provide a drop down to choose a host then it would also be acceptable to allow users to add a separate compute resource for each
ESXi host individually. Then, the "Deploy on" option in the new host would be where you choose the specific host. Currently when you do this
you can successfully add the computer resource but there is an error on the Virtual Machine tab in the new host screen.

| hope this makes sense. If not, let me know and I'll try to explain better. Thanks for your consideration.

#4 - 01/10/2013 07:53 AM - Ohad Levy

- Target version changed from 1.1 to 1.2.0
#5 - 02/21/2013 12:24 PM - Marc Grimme
I made some pull requests for fog to support things like:

e querying for guest types (fog: servertypes)
e querying for nic types (fog: interfacetypes) per guest type

This could be used to query for available guest types and the available nic types.
| also added a way to specify default nic_types in ~/.fog.
This could be used to at least change the default nic type which is currently E1000.

For the changes see:

e https://github.com/fog/fog/pull/1582
e https://github.com/fog/fog/pull/1568

Example:
To query for available guest types:

e compute.datacenters.first.servertypes
* compute.datacenters.first.servertypes.get("debian6Guest").interfacetypes

| don't know if this makes sense but it seams to be (at least for me) a logical dependency on how to get further with this requirements.

Hope this helps
Regards.

#6 - 03/21/2013 04:20 AM - Marc Grimme

Now | also managed to make the appropriate changes for foreman vmware compute-resource to support user selecteable guesttypes and NIC
interfacetypes.

See https://github.com/theforeman/foreman/pull/480.

| have not yet a clear idea on how to implement user defined storage adapters and how to map them to the volumes. This is still kind of open.
Hope this helps.

Let me know about feedback.

Regards Marc.

#7 - 03/21/2013 04:49 AM - Dominic Cleal
- Status changed from New to Ready For Testing

#8 - 05/10/2013 08:57 AM - Dominic Cleal

- Target version changed from 1.2.0 to 1.3.0

#9 - 09/16/2013 11:47 AM - Lukas Zapletal
- Target version deleted (1.3.0)

#10 - 10/25/2013 09:07 AM - Dominic Cleal
- Related to Feature #3496: SCSI Controller type selection for vSphere added
https://projects.theforeman.org/issues/1945
https://github.com/fog/fog/pull/1582
https://github.com/fog/fog/pull/1568
https://github.com/theforeman/foreman/pull/480

#11 - 10/25/2013 09:58 AM - Angelo Lisco

In fog 1.16, thir relevant PR was merged:

[vSphere] Implementation of Query for Guesttype and NICTypes.
https://github.com/fog/fog/pull/1582

and hopefully this PR may appear in fog 1.17:

[vSphere] Implementation of feature to specify scsi_controller type at create type
https://github.com/fog/fog/pull/2314

Hope that soon vsphere/vmware will became a first class citizen in Foreman.
I'm scheduling a Cobbler to Foreman migration for our provisioning tasks.

#12 - 12/16/2013 11:51 AM - Dominic Cleal
- Status changed from Ready For Testing to New

As per my note on the PR, the current Foreman 'develop' has diverged somewhat and gained bits of the functionality (e.g. NIC type selection) via
other more targeted PRs. We'd still like to include the guest type support etc, so new PRs that can address this against current 'develop’ would be
most welcome.

#13 - 01/15/2014 02:54 PM - Josh Baird

@Marc Mueller - would you mind submitting a new PR for the 'guest type' selection? Any other PR's that improve VMWare functionality would be
much appreciated as well (allowing user to pick number of cores, SCSI controller type, etc).

#14 - 01/21/2014 09:45 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #3910: for VMware compute resource (fog) give the option to add a cd drive to the created host added

#15 - 02/18/2014 04:10 PM - Dominic Cleal
- Related to Feature #4380: [vSphere] allow selection of guest OS added

#16 - 03/05/2014 05:03 PM - Dominic Cleal

- Related to Feature #4533: Boot options configuration for VMware guests added

#17 - 05/21/2014 07:06 PM - m w

For what it is worth, this would be really useful for someone to add...

#18 - 07/17/2014 06:30 PM - Anonymous

- Related to Feature #5760: Specify VM hardware version for new virtual hosts added

#19 - 10/01/2014 11:06 AM - Anthony Clark

I'd like to add my vote for adding a drop-down to choose a resource pool in a cluster in VMware.

#20 - 11/06/2014 02:42 PM - Anonymous
- Related to Feature #8295: Vcenter - Memory/CPU Hotplug added

#21 - 11/11/2014 10:34 AM - Friedrich Seifts

+1 for memory/cpu hotplug and being able to choose the resource pool.

#22 - 04/30/2015 04:56 AM - Virgil Chereches

+1 for ability to choose resource pools

#23 - 06/20/2015 09:51 AM - Arnold Bechtoldt
- Related to Feature #10889: [vSphere] Allow selection of resource pool added

#24 - 06/30/2015 08:53 AM - Wolfram Strauss

- Related to Feature #10955: Support to set vmware configuration parameters added

#25 - 06/30/2015 08:55 AM - Wolfram Strauss
- Related to Feature #10956: Support to set vmware VM annotations added
https://github.com/fog/fog/pull/1582
https://github.com/fog/fog/pull/2314
https://projects.theforeman.org/users/70684

#26 - 03/23/2016 05:18 PM - Anonymous
- Related to Feature #4509: Additional SCSI Controller with per-disk configuration added

#27 - 06/10/2016 03:38 PM - Anonymous
- Related to Bug #9038: IDE Devices in vSphere added

#28 - 07/28/2016 07:22 AM - Marek Hulan

- Target version set to 115

#29 - 08/16/2016 08:53 AM - Marek Hulan

- Target version changed from 115 to 1.6.0

#30 - 09/06/2016 10:55 AM - Marek Hulan

- Target version changed from 1.6.0 to 1.5.3

#31 - 09/29/2016 07:16 AM - Marek Hulan

- Target version changed from 1.5.3 to 1.5.0

#32 - 09/30/2016 04:32 AM - Marek Hulan

- Status changed from New to Resolved

| believe all items from the list are now implemented. Please let us know if something is missing. We would prefer to solve additional features through
separate issues.
